Attribute VB_Name = "COMCTL32"
'============COMCTL32.bas====================
'Visual Basic decs for Windows 95 common
'controls...
'============================================
Option Explicit
DefLng A-Z

Type CommonControlsEx
        dwSize As Long '// size of this structure
        dwICC As Long  '// flags indicating which classes to be initialized
End Type
Public Const ICC_LISTVIEW_CLASSES = &H1& '// listview, header
Public Const ICC_TREEVIEW_CLASSES = &H2& '// treeview, tooltips
Public Const ICC_BAR_CLASSES = &H4&      '// toolbar, statusbar, trackbar, tooltips
Public Const ICC_TAB_CLASSES = &H8&      '// tab, tooltips
Public Const ICC_UPDOWN_CLASS = &H10&    '// updown
Public Const ICC_PROGRESS_CLASS = &H20&  '// progress
Public Const ICC_HOTKEY_CLASS = &H40&    '// hotkey
Public Const ICC_ANIMATE_CLASS = &H80&   '// animate
Public Const ICC_WIN95_CLASSES = &HFF&
Public Const ICC_DATE_CLASSES = &H100&   '// month picker, date picker, time picker, updown
Public Const ICC_USEREX_CLASSES = &H200& '// comboex
Public Const ICC_COOL_CLASSES = &H400&   '// rebar (coolbar) control
Declare Function InitCommonControlsEx Lib "COMCTL32" (LPINITCOMMONCONTROLSEX As CommonControlsEx) As Boolean

Public Const ODT_HEADER = 100
Public Const ODT_TAB = 101
Public Const ODT_LISTVIEW = 102

'//====== COMMON CONTROL STYLES ===========

Public Const CCS_TOP = &H1
Public Const CCS_NOMOVEY = &H2
Public Const CCS_BOTTOM = &H3
Public Const CCS_NORESIZE = &H4
Public Const CCS_NOPARENTALIGN = &H8
Public Const CCS_ADJUSTABLE = &H20
Public Const CCS_NODIVIDER = &H40
Public Const CCS_VERT = &H80
Public Const CCS_LEFT = (CCS_VERT Or CCS_TOP)
Public Const CCS_RIGHT = (CCS_VERT Or CCS_BOTTOM)
Public Const CCS_NOMOVEX = (CCS_VERT Or CCS_NOMOVEY)

Public Function LoadCommCtls() As Boolean

Dim ctEx As CommonControlsEx

ctEx.dwSize = Len(ctEx)
ctEx.dwICC = ICC_COOL_CLASSES Or _
ICC_USEREX_CLASSES Or ICC_WIN95_CLASSES

LoadCommCtls = InitCommonControlsEx(ctEx)

End Function

